var TSUI;
(function (TSUI) {
    (function (Animation) {
        var NotificationAnimator = (function () {
            function NotificationAnimator() {
            }
            NotificationAnimator.prototype.Show = function (control, callback) {
                if (typeof callback === "undefined") { callback = null; }
                var element = control.AnimationElement();
                element.stop(true, true);
                var startRight = element.css("right");
                element.css({
                    right: -element.outerWidth(),
                    visibility: "",
                    display: ""
                }).animate({
                    right: startRight
                }, NotificationAnimator.AnimationTime, NotificationAnimator.AnimationEasing, function () {
                    if (callback !== null) {
                        callback();
                    }
                });
            };

            NotificationAnimator.prototype.Hide = function (control, callback) {
                if (typeof callback === "undefined") { callback = null; }
                var element = control.AnimationElement();
                element.stop(true, true);
                var startRight = element.css("right");
                element.animate({
                    right: -element.outerWidth()
                }, NotificationAnimator.AnimationTime, NotificationAnimator.AnimationEasing, function () {
                    element.css({
                        visibility: "hidden",
                        display: "none",
                        right: startRight
                    });

                    if (callback !== null) {
                        callback();
                    }
                });
            };
            NotificationAnimator.AnimationTime = 1000;

            NotificationAnimator.AnimationEasing = "linear";
            return NotificationAnimator;
        })();
        Animation.NotificationAnimator = NotificationAnimator;
    })(TSUI.Animation || (TSUI.Animation = {}));
    var Animation = TSUI.Animation;
})(TSUI || (TSUI = {}));
